Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1543324 - Should treat 'resourceVersion 'as an opaque field on web console
Should treat 'resourceVersion 'as an opaque field on web console
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console (Show other bugs)
3.9.0
Unspecified Unspecified
medium Severity low
: ---
: 3.9.0
Assigned To: Samuel Padgett
Yadan Pei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-08 04:17 EST by shahan
Modified: 2018-03-27 05:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-22 07:48:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0489 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.9 RPM Release Advisory 2018-03-28 14:06:38 EDT

  None (edit)
Description shahan 2018-02-08 04:17:34 EST
Description of problem:
 Should treat 'resourceVersion 'as an opaque field on web console

Version-Release number of selected component (if applicable):
OpenShift Master: v3.9.0-0.38.0 
Kubernetes Master: v1.9.1+a0ce1bc657
OpenShift Web Console: v3.9.0-0.38.0 

How reproducible:
Always

Steps to Reproduce:
1. $ oc create -f https://raw.githubusercontent.com/openshift-qe/v3-testfiles/master/deployment/dc-with-two-containers.yaml
2. $ oc get dc dctest -o yaml > dc-with-two-containers.yaml
3. $ oc delete dc dctest
4.Login to web console and click 'Import YAML / JSON', paste above YAML file and create.
5. oc create -f dc-with-two-containers.yaml via CLI

Actual results:
4. Unable to create the deployment config 'dctest'.
Reason: resourceVersion should not be set on objects to be created
5. create DC successfully.

Expected results:
Web Client should be consistent with CLI in terms of ignoring these fields as an opaque, such as 'resourceVersion' 'uid'

Additional info:
Comment 2 openshift-github-bot 2018-02-09 09:59:48 EST
Commits pushed to master at https://github.com/openshift/origin-web-console

https://github.com/openshift/origin-web-console/commit/d740e2cc8fe3d410c4821d6b64b363624461a3d2
Bug 1543324 - Strip resourceVersion in import YAML for new resources

Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1543324

https://github.com/openshift/origin-web-console/commit/f9699d3316f6d8ef42b4b754e9e4d7d43e0bb530
Merge pull request #2796 from spadgett/import-yaml-resource-version

Automatic merge from submit-queue.

Bug 1543324 - Strip resourceVersion in import YAML for new resources

Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1543324

/kind bug
/assign @benjaminapetersen 
/cc @juanvallejo
Comment 4 Yadan Pei 2018-02-22 01:56:26 EST
Checked on OpenShift Web Console: v3.9.0-0.47.0

resourceVersion now is removed/regarded as opaque field when creating from web console if resoureVersion is included in yaml/json

Note You need to log in before you can comment on or make changes to this bug.